<?php
if (!defined('IN_PARTAGE')) exit();

define('version','4.0.0');

// Config values
define('log_errors',false);
define('debug',false);

define('ABSOLUTE_PATH', 0);
define('RELATIVE_PATH', 1);

define('LIST_DIRECTORIES', 1);
define('LIST_FILES', 2);
define('LIST_ALL', 3);

define('INFOS_PATH', 1);
define('INFOS_NAME', 2);
define('INFOS_TIMESTAMP', 4);
define('INFOS_ALL', 7);

define('URL_GET', 1);
define('URL_PATH_INFO', 2);

if (preg_match('/Win32|Win64/',$_SERVER['SERVER_SOFTWARE']))
	$this->path_separator = "\\";
else
	$this->path_separator = "/";

$this->show_hidden_files = 0; // Decide if we want to show unix hidden files
$this->download_hidden_files = 0; // Decide if we want to download unix hidden files
$this->stop_on_error = 1; // Decide if we stop the program when an error (potential hacking) appears
$this->check_input_on_construct = 1; // Decide if we automatically check GET input on construct
$this->use_path_info = 1; // Change the URL format for better referencement

$this->logfile = 'stderr.log';

$this->partage_root_relative = './';
$this->images_path = './img/';

$this->images_extension='.png';
$this->file_types=Array(
'unknown' =>    'unknown',
'doc'     =>    'document',
'odt'     =>    'ooo_writer',
'ods'     =>    'ooo_calc',
'odp'     =>    'ooo_impress',
'odg'     =>    'ooo_draw',
'txt'     =>    'txt',
'rtf'     =>    'document',
'c'       =>    'source_c',
'cpp'     =>    'source_cpp',
'asc'     =>    'ascii',
'bin'     =>    'binary',
'exe'     =>    'binary',
'jar'     =>    'java_jar',
'deb'     =>    'deb',
'rpm'     =>    'rpm',
'zip'     =>    'zip',
'gz'      =>    'tgz',
'tar'     =>    'tar',
'pdf'     =>    'pdf',
'png'     =>    'image',
'gif'     =>    'image',
'bmp'     =>    'image',
'jpg'     =>    'image',
'jpeg'    =>    'image',
'xcf'     =>    'image_gimp',
'htm'     =>    'html',
'html'    =>    'html',
'css'     =>    'source_css',
'js'      =>    'source',
'php'     =>    'source_php',

);
$this->forbidden_extensions = Array(
	'htaccess',
	'htpasswd',
	'php'
);

//En absolu, ou en relatif (préférer le relatif)
$this->forbidden_directories = Array(
	$this->images_path,
	$this->include_path
);
// Passage en absolu
foreach($this->forbidden_directories as $name => $value)
{
	$real=realpath($value);
	if (substr($real,-1)!=$this->path_separator) $real=$real.$this->path_separator;
	$this->forbidden_directories[$name]=$real;
}

// Obsolète depuis passage aux mime types
$this->never_download = array_merge($this->forbidden_extensions,Array(
	'php' //astuce anti-exploit: les fichiers php ne pourrons etre lut "par derrière" par le script. Mais normalement ils sont déjà interdit de téléchargement...
));

$this->content_types = Array(
	'doc'     =>    '',
	'odt'     =>    'application/x-zip',
	'ods'     =>    'application/x-zip',
	'odp'     =>    'application/x-zip',
	'odg'     =>    'application/x-zip',
	'txt'     =>    'text/plain',
	'rtf'     =>    'application/rtf',
	'c'       =>    'text/plain',
	'cpp'     =>    'text/plain',
	'asc'     =>    '',
	'bin'     =>    '',
	'exe'     =>    '',
	'jar'     =>    '',
	'deb'     =>    '',
	'rpm'     =>    '',
	'zip'     =>    '',
	'gz'      =>    '',
	'tar'     =>    '',
	'pdf'     =>    'application/pdf',
	'png'     =>    'image/png',
	'gif'     =>    'image/gif',
	'bmp'     =>    'image/bmp',
	'jpg'     =>    'image/jpeg',
	'jpeg'    =>    'image/jpeg',
	'xcf'     =>    '',
	'htm'     =>    'text/html',
	'htm'     =>    'text/html',
	'css'     =>    'text/css',
	'js'      =>    'text/javascript',
);

$this->root_url='http://example.com/partage/';

$this->partage_root_absolute = $this->standardise(realpath($this->partage_root_relative.'.'.$this->path_separator));
/*
if (substr($this->partage_root_absolute,-1)!=$this->path_separator)
	$this->root=$this->partage_root_absolute.$this->path_separator;
*/
?>
